import requests
url = "https://api.parallel.ai/v1/tasks/runs/{run_id}/input"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.parallel.ai/v1/tasks/runs/{run_id}/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/runs/{run_id}/input")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/runs/{run_id}/input \
--header 'x-api-key: <api-key>'{
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"task_spec": {
"output_schema": {
"json_schema": {
"type": "object",
"properties": {
"gdp": {
"type": "string",
"description": "GDP in USD for the year, formatted like '$3.1 trillion (2023)'"
}
},
"required": [
"gdp"
],
"additionalProperties": false
},
"type": "json"
},
"input_schema": {
"json_schema": {
"type": "object",
"properties": {
"country": {
"type": "string"
},
"year": {
"type": "integer"
}
},
"required": [
"country",
"year"
],
"additionalProperties": false
},
"type": "json"
}
},
"input": {
"country": "France",
"year": 2023
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Run id not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Retrieve Task Run Input
Retrieves the input of a run by run_id.
import requests
url = "https://api.parallel.ai/v1/tasks/runs/{run_id}/input"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.parallel.ai/v1/tasks/runs/{run_id}/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.parallel.ai/v1/tasks/runs/{run_id}/input")
.header("x-api-key", "<api-key>")
.asString();curl --request GET \
--url https://api.parallel.ai/v1/tasks/runs/{run_id}/input \
--header 'x-api-key: <api-key>'{
"processor": "core",
"metadata": {
"my_key": "my_value"
},
"task_spec": {
"output_schema": {
"json_schema": {
"type": "object",
"properties": {
"gdp": {
"type": "string",
"description": "GDP in USD for the year, formatted like '$3.1 trillion (2023)'"
}
},
"required": [
"gdp"
],
"additionalProperties": false
},
"type": "json"
},
"input_schema": {
"json_schema": {
"type": "object",
"properties": {
"country": {
"type": "string"
},
"year": {
"type": "integer"
}
},
"required": [
"country",
"year"
],
"additionalProperties": false
},
"type": "json"
}
},
"input": {
"country": "France",
"year": 2023
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Unauthorized: invalid or missing credentials"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Run id not found"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Request validation error"
}
}Authorizations
Path Parameters
Response
Successful Response
Request to run a task.
Processor to use for the task.
"base"
Input to the task, either text or a JSON object.
"What was the GDP of France in 2023?"
User-provided metadata stored with the run. Keys and values must be strings with a maximum length of 16 and 512 characters respectively.
Show child attributes
Show child attributes
User-provided key identifying the memory scope to use. Omit to use personal memory, if available.
1 - 128^[a-zA-Z0-9_-]+$Optional source policy governing included and excluded domains and domain/path prefixes in web search results.
Show child attributes
Show child attributes
Advanced search configuration for the task run.
Show child attributes
Show child attributes
Task specification. If unspecified, defaults to auto output schema.
Show child attributes
Show child attributes
Interaction ID to use as context for this request.
Optional list of MCP servers to use for the run.
Show child attributes
Show child attributes
Controls tracking of task run execution progress. When set to true, progress events are recorded and can be accessed via the Task Run events endpoint. When false, no progress events are tracked. Note that progress tracking cannot be enabled after a run has been created. The flag is set to true by default for premium processors (pro and above).
Callback URL (webhook endpoint) that will receive an HTTP POST when the run completes. This feature is not available via the Python SDK.
Show child attributes
Show child attributes